Groovy 1.7.0

## groovy.ui
Class GroovyMain

    java.lang.Object
      groovy.ui.GroovyMain

    class GroovyMain
    extends Object

A Command line to execute groovy.

author:
  Jeremy Rayner

author:
  Yuri Schimke

version:
  $Revision: 18415 $

Constructor Summary
`GroovyMain()`

Method Summary
`File` | `huntForTheScriptFile(String input)` Hunt for the script file, doesn't bother if it is named precisely.
`static void` | `main(String[] args)` Main CLI interface.
`static void` | `processArgs(String[] args, PrintStream out)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyMain

    GroovyMain()

Method Detail

### huntForTheScriptFile

    public File huntForTheScriptFile(String input)

  Hunt for the script file, doesn't bother if it is named precisely. Tries in this order: - actual supplied name - name.groovy - name.gvy - name.gy - name.gsh

### main

    public static void main(String[] args)

  Main CLI interface.
  param:
    args all command line args.

### processArgs

    public static void processArgs(String[] args, PrintStream out)

Copyright © 2003-2009 The Codehaus. All rights reserved.